Summary: Play midi files on FM, GUS and MIDI devices
Name: playmidi
Version: 2.3
Release: 11
Source: ftp://sunsite.unc.edu/pub/Linux/apps/sound/players/playmidi-2.3.tar.gz
Source1: playmidi.wmconfig
Copyright: GPL
Group: Applications/Sound
Patch: playmidi-2.3-fsstnd.patch
Patch1: playmidi-2.3-hertz.patch
Patch2: playmidi-2.3-gus.patch
Summary(de): Zum Abspielen von midi-Dateien auf FM-, GUS- und MIDI-Gerten
Summary(fr): Joue des fichiers midi sur des priphriques FM, GUS et MIDI.
Summary(tr): FM, GUS ve MIDI aygtlar zerindeki midi dosyalarn alar

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>

- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entries

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%package X11
Summary: X windows interface to MIDI sound player
Requires: playmidi = 2.3
Group: Applications/Sound
Summary(de): X-Windows-Schnittstelle fr den MIDI-Soundplayer
Summary(tr): MIDI ses alc iin X arayz

%description
Plays MIDI sound files through a sound card synthesizer. It includes 
basic drum samples for use with simple FM synthesizers.

%description X11
X program for playing MIDI sound files through a sound card synthesizer. It 
includes basic drum samples for use with simple FM synthesizers.

%description -l de X11
X-Programm zum Abspielen von MIDI-Sounddateien ber einen Soundkarten-
Synthesizer. Enthlt einfache Schlagzeug-Samples fr einfache FM-Synthesizers.

%description -l de
Spielt MIDI-Sounddateien ber einen Soundkarten-Synthesizer ab. Enthlt
einfache Schlagzeug-Samples fr einfache FM-Synthesizer.

%description -l fr X11
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une carte son.
Il contient des exemples de batterie de base pour les synthtiseurs FM simples.

%description -l fr
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une carte son.
Il contient des exemples de batterie de base pour les synthtiseurs FM simples.

%description -l tr X11
MIDI ses dosyalarn alan playmidi uygulamasnn X arayz.

%description -l tr
Bir ses kartnn ses birletiricisi araclyla MIDI ses dosyalarn alar.
FM ses birletirici ile kullanm iin ana davul sesi rnekler ierir.

%prep
%setup
%patch -p1
%patch1 -p1 -b .consthertz
%patch2 -p1 

%build
PATH=.:$PATH

%ifarch i386
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi splaymidi xplaymidi <<EOF
2
EOF
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi xplaymidi <<EOF
2
EOF
%endif

%install
%ifarch i386
make install 
%else
make install.novga
%endif
make install.man

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/playmidi.wmconfig /etc/X11/wmconfig/playmidi

%files
%doc QuickStart COPYING BUGS ChangeLog
/usr/bin/playmidi 
%config /etc/std.o3
%config /etc/std.sb
%config /etc/drums.o3
%config /etc/drums.sb
%ifarch i386
/usr/bin/splaymidi
%endif

%files X11
%config /usr/X11R6/lib/X11/app-defaults/XPlaymidi
/usr/bin/xplaymidi
/etc/X11/wmconfig/playmidi
